org.apache.cassandra.cql.jdbc

## Class AbstractJdbcType<T>

- java.lang.Object
- - org.apache.cassandra.cql.jdbc.AbstractJdbcType<T>

- Direct Known Subclasses:
    AbstractJdbcUUID, JdbcAscii, JdbcBoolean, JdbcBytes, JdbcDate, JdbcDecimal, JdbcDouble, JdbcFloat, JdbcInetAddress, JdbcInt32, JdbcInteger, JdbcLong, JdbcUTF8

      public abstract class AbstractJdbcType<T>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJdbcType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `compose(java.nio.ByteBuffer bytes)`
    `abstract java.nio.ByteBuffer` | `decompose(T obj)`
    `abstract int` | `getJdbcType()`
    `abstract int` | `getPrecision(T obj)`
    `abstract int` | `getScale(T obj)`
    `abstract java.lang.String` | `getString(java.nio.ByteBuffer bytes)`
    `abstract java.lang.Class<T>` | `getType()`
    `abstract boolean` | `isCaseSensitive()`
    `abstract boolean` | `isCurrency()`
    `abstract boolean` | `isSigned()`
    `abstract boolean` | `needsQuotes()`
    `abstract java.lang.String` | `toString(T obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractJdbcType

          public AbstractJdbcType()

  - ### Method Detail

    - #### isCaseSensitive

          public abstract boolean isCaseSensitive()

    - #### getScale

          public abstract int getScale(T obj)

    - #### getPrecision

          public abstract int getPrecision(T obj)

    - #### isCurrency

          public abstract boolean isCurrency()

    - #### isSigned

          public abstract boolean isSigned()

    - #### toString

          public abstract java.lang.String toString(T obj)

    - #### needsQuotes

          public abstract boolean needsQuotes()

    - #### getString

          public abstract java.lang.String getString(java.nio.ByteBuffer bytes)

    - #### getType

          public abstract java.lang.Class<T> getType()

    - #### getJdbcType

          public abstract int getJdbcType()

    - #### compose

          public abstract T compose(java.nio.ByteBuffer bytes)

    - #### decompose

          public abstract java.nio.ByteBuffer decompose(T obj)

Copyright © 2014 The Apache Software Foundation